#include <stdio.h>
#include <stdint.h>
#include <inttypes.h>
typedef uint_fast64_t u64;
typedef uint_fast16_t u16;

int main()
{
	u16 N;
	u64 L, H;
	
	scanf("%"SCNuFAST16"%"SCNuFAST64, &N, &L);
	
	for (u16 i = 0; i < N; i++) {
		scanf("%"PRIuFAST64, &H);
		if (L >= H) {
			printf("%"PRIuFAST16"\n", i+1);
			return 0;
		}
	}
	printf("-1\n");
	return 0;
}